Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows.Forms
Imports System.IO
Imports ColorCode
Imports SelectPdf

Namespace SelectPdf.Samples
    Partial Public Class PdfConverterProperties
        Inherits Form

        Private Sub BtnCreatePdf_Click(sender As Object, e As EventArgs) Handles BtnCreatePdf.Click
            Dim renderingEngine As RenderingEngine = CType([Enum].Parse(GetType(RenderingEngine), DdlRenderingEngine.SelectedItem.ToString(), True), RenderingEngine)
            Cursor = Cursors.WaitCursor
            Dim file As String = "Document.pdf"

            Try
                ' instantiate a html to pdf converter object
                Dim converter As New HtmlToPdf()
                converter.Options.RenderingEngine = renderingEngine

                ' create a new pdf document converting an url
                Dim doc As PdfDocument = converter.ConvertUrl(TxtUrl.Text)

                ' get conversion result (contains document info from the web page)
                Dim result As HtmlToPdfResult = converter.ConversionResult

                ' set the document properties
                doc.DocumentInformation.Title = result.WebPageInformation.Title
                doc.DocumentInformation.Subject = result.WebPageInformation.Description
                doc.DocumentInformation.Keywords = result.WebPageInformation.Keywords

                doc.DocumentInformation.Author = "Select.Pdf Samples"
                doc.DocumentInformation.CreationDate = DateTime.Now

                ' save pdf document
                doc.Save(file)

                ' close pdf document
                doc.Close()
            Catch ex As Exception
                MessageBox.Show([String].Format("Error: {0}", ex.Message), "Error", _
                                MessageBoxButtons.OK, MessageBoxIcon.[Error])
                Return
            Finally
                Cursor = Cursors.Arrow
            End Try

            ' open generated pdf
            Try
                System.Diagnostics.Process.Start(file)
            Catch
                MessageBox.Show("Could not open generated pdf document", "Error", _
                                MessageBoxButtons.OK, MessageBoxIcon.[Error])
            End Try
        End Sub
        Public Sub New()
            InitializeComponent()
            Try
                ' display highlighted sample code
                Dim code As String = Helper.ReadSourceCode("PdfConverterProperties.vb")
                WBSampleCode.DocumentText = New CodeColorizer().Colorize(code, Languages.VbDotNet)
            Catch
                WBSampleCode.DocumentText = "Sample code not available"
            End Try
        End Sub

    End Class
End Namespace
